.dev
REST APIAPI Reference

Purchase Orders

GET
/v1/finance/purchase-orders

Response Body

curl -X GET "https://example.com/v1/finance/purchase-orders"
POST
/v1/finance/purchase-orders

Response Body

curl -X POST "https://example.com/v1/finance/purchase-orders"
POST
/v1/finance/purchase-orders:batchCancel

Response Body

curl -X POST "https://example.com/v1/finance/purchase-orders:batchCancel"
POST
/v1/finance/purchase-orders:batchPdf

Response Body

curl -X POST "https://example.com/v1/finance/purchase-orders:batchPdf"
POST
/v1/finance/purchase-orders:batchSend

Response Body

curl -X POST "https://example.com/v1/finance/purchase-orders:batchSend"
GET
/v1/finance/purchase-orders/{id}

Path Parameters

id*string

Response Body

curl -X GET "https://example.com/v1/finance/purchase-orders/string"
PUT
/v1/finance/purchase-orders/{id}

Path Parameters

id*string

Response Body

curl -X PUT "https://example.com/v1/finance/purchase-orders/string"
POST
/v1/finance/purchase-orders/{id}/cancel

Path Parameters

id*string

Response Body

curl -X POST "https://example.com/v1/finance/purchase-orders/string/cancel"
GET
/v1/finance/purchase-orders/{id}/pdf

Path Parameters

id*string

Response Body

curl -X GET "https://example.com/v1/finance/purchase-orders/string/pdf"
POST
/v1/finance/purchase-orders/{id}/send

Path Parameters

id*string

Response Body

curl -X POST "https://example.com/v1/finance/purchase-orders/string/send"
POST
/v1/finance/purchase-orders/{id}/status

Path Parameters

id*string

Response Body

curl -X POST "https://example.com/v1/finance/purchase-orders/string/status"